## com.sun.pdfview.font
Class CIDFontType2

    java.lang.Object
      com.sun.pdfview.font.PDFFont
          com.sun.pdfview.font.OutlineFont
              com.sun.pdfview.font.TTFFont
                  com.sun.pdfview.font.CIDFontType2

    public class CIDFontType2

extends TTFFont

a font object derived from a CID font.

Constructor Summary
`CIDFontType2(java.lang.String baseName, PDFObject fontObj, PDFFontDescriptor descriptor)` create a new CIDFontType2 object based on the name of a built-in font and the font descriptor

Method Summary
`int` `getDefaultWidth()` Get the default width in text space
`int` `getDefaultWidthVertical()` Get the default vertical width in text space
`protected java.awt.geom.GeneralPath` `getOutline(char src, float width)` Get the outline of a character given the character code.
`float` `getWidth(char code, java.lang.String name)` Get the width of a given character
`float` `getWidthVertical(char code, java.lang.String name)` Get the vertical width of a given character

Methods inherited from class com.sun.pdfview.font.TTFFont
`getNames, getOutline, getOutline, getOutlineFromCMaps, renderCompoundGlyph, renderSimpleGlyph`

Methods inherited from class com.sun.pdfview.font.OutlineFont
`getCharCount, getFirstChar, getGlyph, getLastChar`

Methods inherited from class com.sun.pdfview.font.PDFFont
`equals, getBaseFont, getCachedGlyph, getDescriptor, getEncoding, getFont, getGlyphs, getSubtype, getUnicodeMap, hashCode, setBaseFont, setDescriptor, setEncoding, setSubtype, setUnicodeMap, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIDFontType2

    public CIDFontType2(java.lang.String baseName,
                        PDFObject fontObj,
                        PDFFontDescriptor descriptor)
                 throws java.io.IOException

  create a new CIDFontType2 object based on the name of a built-in font and the font descriptor

  Parameters:
    `baseName` - the name of the font, from the PDF file
    `fontObj` - a dictionary that contains the DW (defaultWidth) and W (width) parameters
    `descriptor` - a descriptor for the font
  Throws:
    `java.io.IOException`

Method Detail

### getDefaultWidth

    public int getDefaultWidth()

  Get the default width in text space

  Overrides:
    `getDefaultWidth` in class `OutlineFont`

### getWidth

    public float getWidth(char code,
                          java.lang.String name)

  Get the width of a given character

  Overrides:
    `getWidth` in class `OutlineFont`

### getDefaultWidthVertical

    public int getDefaultWidthVertical()

  Get the default vertical width in text space

### getWidthVertical

    public float getWidthVertical(char code,
                                  java.lang.String name)

  Get the vertical width of a given character

### getOutline

    protected java.awt.geom.GeneralPath getOutline(char src,
                                                   float width)

  Get the outline of a character given the character code. We interpose here in order to avoid using the CMap of the font in a CID mapped font.

  Overrides:
    `getOutline` in class `TTFFont`
  Parameters:
    `src` - the character code of the desired glyph
  Returns:
    the glyph outline